Skip to main content

Stock Transfer Instruction

This interface is used to transfer stock holding from one item to another.

Below you will find the Actions with descriptions and the Specfication for the requests.

Actions​

VIEW​

This interface allows you to view an empty stocktransferinstruction.json file

Request details​

MethodEndpointHeader keyHeader Value
VIEWBaseURL/api/itemX-AUTH-TOKENIntegration Service API key

Request Response​

{
"Id": 0,
"FromSKUNo": null,
"FromCustomerNo": null,
"FromItemAtt1": null,
"FromItemAtt2": null,
"FromItemAtt3": null,
"FromItemAtt4": null,
"FromItemAtt5": null,
"ConfirmedQty": 0,
"ToSKUNo": null,
"ToCustomerNo": null,
"ToItemAtt1": null,
"ToItemAtt2": null,
"ToItemAtt3": null,
"ToItemAtt4": null,
"ToItemAtt5": null
}

POST​

This method allows you to post to the StockTransferInstructionSTD_API Interface.

Request details​

MethodEndpointHeader keyHeader Value
POSTBaseURL/api/itemX-AUTH-TOKENIntegration Service API key

Request Body​


{
"interfaceName" : "StockTransferInstructionSTD_API",
"returnDetailedData" : true,
"data": [{
"Id": 0,
"FromSKUNo": "98861",
"FromCustomerNo": "CU02",
"FromItemAtt1": null,
"FromItemAtt2": null,
"FromItemAtt3": null,
"FromItemAtt4": null,
"FromItemAtt5": null,
"ConfirmedQty": 0,
"ToSKUNo": "98861",
"ToCustomerNo": "CU01",
"ToItemAtt1": null,
"ToItemAtt2": null,
"ToItemAtt3": null,
"ToItemAtt4": null,
"ToItemAtt5": null
}]
}

Request Response​

{
"success": true,
"message": null,
"errorData": null,
"returnData": [
{
"id": 192,
"fromSKUNo": "98861",
"fromCustomerNo": "CU02",
"fromItemAtt1": null,
"fromItemAtt2": null,
"fromItemAtt3": null,
"fromItemAtt4": null,
"fromItemAtt5": null,
"confirmedQty": 24,
"toSKUNo": "98861",
"toCustomerNo": "CU01",
"toItemAtt1": null,
"toItemAtt2": null,
"toItemAtt3": null,
"toItemAtt4": null,
"toItemAtt5": null
}
]
}

Specification​

Stock Transfer Instruction​

FieldTypeNotesReq
IdIntegerReturn ParameterN
FromSKUNoString (30)Y
FromCustomerNoString (30)Y
FromItemAtt1String (40)N
FromItemAtt2String (40)N
FromItemAtt3String (40)N
FromItemAtt4String (40)N
FromItemAtt5String (20)N
ConfirmedQtyString (10)Quantity transfered(Return Parameter)N
ToSKUNoString (30)Y
ToCustomerNoString (30)Y
ToItemAtt1String (40)N
ToItemAtt2String (40)N
ToItemAtt3String (40)N
ToItemAtt4String (40)N
ToItemAtt5String (40)N